## pycurl 7.19.0

=== debian/changelog ===
pycurl (7.19.0-5) unstable; urgency=low

  * debian/rules
    - install debug files where gdb will look for them
  * debian/pyversions
    - removed, not needed
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)
    - removed Conflicts/Replaces/Provides, not needed
    - added libssh2-1-dev to build-depends; thanks to Jakub Wilk for the report;
      Closes: #658952
  * Convert to 3.0 (quilt) source format
  * Convert to Debhelper 7

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Feb 2012 17:22:11 +0100

pycurl (7.19.0-4) unstable; urgency=low

  * Add the now!? missing librtmp-dev build-dependency.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 16 Apr 2011 19:37:02 +0200

pycurl (7.19.0-3) unstable; urgency=low

  * Fix FTBFS on kfreebsd, thanks to KiBi (Closes: #540980).
  * Bump Standards-version to 3.8.3, no changes needed. 

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 27 Sep 2009 18:03:31 +0200

pycurl (7.19.0-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 3.8.2 (no changes needed)

  [ Bernd Zeimetz ]
  * Use /usr/bin/curl-config --version to find the libcurl version
    to depend on (Closes: #527546). Thanks to Samuel Bronson.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 07 Aug 2009 18:00:37 +0200

pycurl (7.19.0-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * debian/control:
    - Rising the priority to optional, as we have rdepends in optional.
  * Switching from python-central to python-support. 
  * Support building for Python 2.6. 

  [ Sandro Tosi ]
  * New upstream release.
  * debian/control
    - bump libcurl4-gnutls-dev versioned depends to >= 7.19.0
    - updated my email address
    - bump Standards-Version to 3.8.1
      + added debian/README.source
    - added Vcs-{Browser,Svn} fields
    - added ${misc:Depends} to binary packages
    - switch Vcs-Browser field to viewsvn
    - adjusted section to 'debug' for -dbg package
    - force libcurl3-gnutls depends to at least on version 7.19.0;
      Closes: #527546
  * debian/patches/10_setup.py.dpatch
    - added description (to please lintian) and updated my email address
  * debian/copyright
    - used the correct location of LGPL 2.1 on local machine

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 15 May 2009 22:33:30 +0200

pycurl (7.18.2-1) unstable; urgency=low

  * New upstream release.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 16 Jun 2008 13:15:53 +0200

pycurl (7.18.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * Adopting packages (Closes: #481074)
  * New upstream release.
  * debian/control
    - set the team as Maintainer
    - added Bernd Zeimetz and me in Uploaders, removing Matthias Klose
    - bumped Build-Dep on libcurl4-gnutls-dev to (>= 7.18.1)
    - added dpatch Build-Dep
    - bumped Standards-Version to 3.7.3 (no changes)
    - moved Homepage field to source stanza
    - updated dependency for -dbg extension to python-pycurl to use
      ${binary:Version}, to be binNMU safe
    - fixed a mispell of Python in Description
  * debian/rules
    - added dpatch stuff
    - using setup.py for install and clean targets
    - running some tests at build-time
  * debian/patches/10_setup.py.dpatch
    - added to remove direct upstream code modification
  * debian/python-pycurl.doc-base
    - Section updated to Programming/Python
  * debian/copyright
    - indented upstream authors, copyright and license with 4 spaces
    - separated copyright and license notice
    - extended years in Copyright notice
    - explicitly identified LGPL location on filesystem
    - added dual licensing, including MIT license text

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 02 Jun 2008 19:17:08 +0200

pycurl (7.16.4-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 18 Jul 2007 17:54:16 +0200

pycurl (7.16.2.1-3) unstable; urgency=low

  * Fixed package description (closes: #423905).
  * Merge from Ubuntu:
    - build a python-pycurl-dbg package.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 28 May 2007 01:14:33 +0200

pycurl (7.16.2.1-2) unstable; urgency=low

  * Proper SSL library flavour is now known during build.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 14 May 2007 01:17:33 +0200

pycurl (7.16.2.1-1) unstable; urgency=low

  * New upstream release.
  * Build depends on libcurl4-gnutls-dev (closes: #423446, #423632).
  * Use dh_pycentral instead of dh_python.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 10 May 2007 16:29:02 +0200

pycurl (7.15.5-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Fri, 11 Aug 2006 08:58:26 +0200

pycurl (7.15.4.2-2) unstable; urgency=low

  * Fixed reversed logic in acquring python thread lock (closes: #380156).
    Patch courtesy of Bastian Kleineidam.

 -- Domenico Andreoli <cavok@debian.org>  Tue,  8 Aug 2006 08:22:16 +0200

pycurl (7.15.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 25 Jul 2006 11:01:26 +0200

pycurl (7.15.4-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 27 Jun 2006 17:16:37 +0200

pycurl (7.15.2-2) unstable; urgency=low

  * Adopt to the new python policy.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Jun 2006 18:49:11 +0200

pycurl (7.15.2-1) unstable; urgency=low

  * New upstream release.
  * Adopted debhelper's compatibility level 5.

 -- Domenico Andreoli <cavok@debian.org>  Tue,  7 Mar 2006 10:05:16 +0100

pycurl (7.15.0-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 18 Oct 2005 11:22:23 +0200

pycurl (7.14.1-1) experimental; urgency=low

  * New upstream release.
  * Switched to libcurl3-gnutls-dev build dependency.

 -- Domenico Andreoli <cavok@debian.org>  Sun, 18 Sep 2005 00:48:54 +0200

pycurl (7.14.0-2) unstable; urgency=low

  * Matthias Klose:
    - Dropped package python2.2-pycurl.
    - Improved the build process.


