=== debian/control ===
Source: pycurl
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>, Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.3.5-9), python-all-dbg, python-support (>= 0.7.1), libcurl4-gnutls-dev (>= 7.19.0), librtmp-dev, libssh2-1-dev
Standards-Version: 3.9.2
X-Python-Version: all
Homepage: http://pycurl.sourceforge.net
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pycurl/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pycurl/trunk/

Package: python-pycurl
Architecture: any
Suggests: libcurl4-gnutls-dev, python-pycurl-dbg
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Python bindings to libcurl
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 NOTE: the SSL support is provided by GnuTLS.

Package: python-pycurl-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, python-dbg, python-pycurl (= ${binary:Version}), ${misc:Depends}
Description: Python bindings to libcurl (debug extension)
 This module provides the Python bindings to libcurl. Please refer to
 the libcurl documentation available in libcurl4-gnutls-dev Debian package.
 .
 This package contains the extension built for the Python debug interpreter.
