## pycurl 7.19.3

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 SHELL = /bin/sh
 
-PYTHON = python2.3
 PYTHON = python
+NOSETESTS = nosetests
 
 all build:
 	$(PYTHON) setup.py build
@@ -15,7 +15,13 @@
 	$(PYTHON) setup.py build --curl-config=/home/hosts/localhost/packages/curl-7.10.8/bin/curl-config
 
 test: build
-	$(PYTHON) tests/test_internals.py -q
+	mkdir -p tests/tmp
+	PYTHONSUFFIX=$$(python -V 2>&1 |awk '{print $$2}' |awk -F. '{print $$1 "." $$2}') && \
+	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
+	$(PYTHON) -c 'import pycurl; print(pycurl.version)'
+	PYTHONPATH=$$(ls -d build/lib.*$$PYTHONSUFFIX):$$PYTHONPATH \
+	$(NOSETESTS)
+	./tests/ext/test-suite.sh
 
 # (needs GNU binutils)
 strip: build
@@ -41,18 +47,22 @@
 # target for maintainer
 windist: distclean
 	rm -rf build
-	python2.1 setup.py bdist_wininst
-	rm -rf build
 	python2.2 setup.py bdist_wininst
 	rm -rf build
 	python2.3 setup.py bdist_wininst
 	rm -rf build
-	python2.1 setup_win32_ssl.py bdist_wininst
+	python2.4 setup.py bdist_wininst
 	rm -rf build
 	python2.2 setup_win32_ssl.py bdist_wininst
 	rm -rf build
 	python2.3 setup_win32_ssl.py bdist_wininst
 	rm -rf build
+	python2.4 setup_win32_ssl.py bdist_wininst
+	rm -rf build
+
+docs:
+	cd doc && for file in *.rst; do rst2html "$$file" ../www/htdocs/doc/`echo "$$file" |sed -e 's/.rst$$/.html/'`; done
+	rst2html RELEASE-NOTES.rst www/htdocs/release-notes.html
 
 
 .PHONY: all build test strip install install_lib clean distclean maintainer-clean dist sdist windist
