=== debian/changelog ===
pycurl (7.19.3-0ubuntu3) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:33 +0000

pycurl (7.19.3-0ubuntu2) trusty; urgency=medium

  * Remove the pycurl tests and examples in the python3 packages as well.
    LP: #1269532.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jan 2014 12:51:11 +0100

pycurl (7.19.3-0ubuntu1) trusty; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2014 19:33:35 +0100

pycurl (7.19.0.3-1ubuntu2) trusty; urgency=medium

  * Remove build dependency on python-bottle (universe).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2014 09:13:01 +0100

pycurl (7.19.0.3-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/lp1063350.patch: Reset the float context after
      closing the curl object (lp #1063350).
    - Drop libssh2-1-dev from Build-Depends, as it is not in main, and is
      not needed since in Ubuntu, curl-config --static-libs doesn't return
      -lssh2.
    - Build python3-pycurl and python3-pycurl-dbg packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 22:06:50 +0100

pycurl (7.19.0.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches/10_setup.py.patch
    - refreshed, due to new upstream code
  * debian/patches/{20_remove_string_options.patch,
      30_fix_refcounts_calling_reset_twice.patch,
      40_add_CURLOPT_SEEKFUNCTION_and_CURLOPT_SEEKDATA.patch,
      debian/patches/50_dont_leak_user_agent.patch}
    - removed, merged upstream
  * debian/rules
    - run tests using nosetests
    - install README.rst in the documentation
    - Remove documentation as installed by setup.py
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)
    - added nose/bottle/cherrypy3 to b-d, needed to run tests
  * debian/{control, rules}
    - Switch to dh_python2; thanks to Barry Warsaw for the report and patch;
      Closes: #635630

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2014 18:25:52 +0100

pycurl (7.19.0-7) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * Upload to unstable
  * debian/patches/50_dont_leak_user_agent.patch
    - fix memory leak in reset(); thanks to Örjan Persson for the report and
      patch; Closes: #709226

 -- Sandro Tosi <morph@debian.org>  Fri, 14 Jun 2013 20:14:33 +0200

pycurl (7.19.0-6) experimental; urgency=low

  * debian/patches/20_remove_string_options.patch
    - No longer keep copies of string options since this is managed by libcurl,
      needed to have pycurl.c in sync with upstream CVS, and apply further
      patches
  * debian/patches/30_fix_refcounts_calling_reset_twice.patch
    - Fixes refcount bug and provides better organization of PyCurl object,
      allowing to call reset() multiple time; thansk to Emmanuel Bouthenot for
      the report; Closes: #690187
  * debian/patches/40_add_CURLOPT_SEEKFUNCTION_and_CURLOPT_SEEKDATA.patch
    - Added CURLOPT_SEEKFUNCTION, CURLOPT_SEEKDATA
  * debian/control
    - bump Standards-Version t0 3.9.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 28 Oct 2012 11:20:44 +0100

pycurl (7.19.0-5ubuntu9) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:31:48 +0000

pycurl (7.19.0-5ubuntu8) raring; urgency=low

  * No change rebuild for Python issue #17703, trashcan mechanism segfault
    during interpreter finalization

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2013 23:51:53 +0200

pycurl (7.19.0-5ubuntu7) raring; urgency=low

  * debian/patches/lp1063350.patch: Reset the float context after
    closing the curl object.  (LP: #1063350)

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 04 Apr 2013 18:53:22 -0400

pycurl (7.19.0-5ubuntu6) raring; urgency=low

  * debian/patches/python3.patch:
    - And make sure that the last WRITEFUNCTION fix only is used for
      Python 3, to avoid breaking Python 2 (LP: #1108161)

 -- Michael Terry <mterry@ubuntu.com>  Mon, 28 Jan 2013 14:30:36 -0500

pycurl (7.19.0-5ubuntu5) raring; urgency=low

  * debian/patches/python3.patch:
    - Fix another reported Python3 issue, a string/bytes issue when
      using WRITEFUNCTION.  Fix by bdarnell.

 -- Michael Terry <mterry@ubuntu.com>  Fri, 25 Jan 2013 09:32:38 -0500

pycurl (7.19.0-5ubuntu4) raring; urgency=low

  * debian/patches/python3.patch:
    - Stop hasattr(pycurl.Curl(), 'nothere') from throwing SystemError.
      LP: #1103667

 -- Michael Terry <mterry@ubuntu.com>  Wed, 23 Jan 2013 15:33:14 -0500

pycurl (7.19.0-5ubuntu3) raring; urgency=low

  * Rebuild to drop python3.2 provides.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Nov 2012 23:00:24 +0000

pycurl (7.19.0-5ubuntu2) raring; urgency=low

  * No-change upload to build for python3.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Oct 2012 17:54:41 +0200

pycurl (7.19.0-5ubuntu1) quantal; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Switch to dh_python2
  * debian/control:
    - Drop libssh2-1-dev from Build-Depends, as it is not in main, and is
      not needed since in Ubuntu, curl-config --static-libs doesn't return
      -lssh2.
  * debian/patches/python3.patch, debian/control, debian/rules:
    - Add Python 3 support

 -- Michael Terry <mterry@ubuntu.com>  Thu, 16 Aug 2012 13:44:35 -0400

pycurl (7.19.0-4ubuntu3) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:07:26 +0000

pycurl (7.19.0-4ubuntu2) oneiric; urgency=low

  * Run update_maintainer.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 08 Aug 2011 13:33:29 -0400

pycurl (7.19.0-4ubuntu1) oneiric; urgency=low

  * Switch to dh_python2.  (LP: #788514)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 27 Jul 2011 14:01:36 -0400
