=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: pycurl
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.3.5-9), python-all-dbg, python-support (>= 0.7.1), libcurl4-gnutls-dev (>= 7.19.0), librtmp-dev, libssh2-1-dev
-Standards-Version: 3.9.2
-X-Python-Version: all
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~), python-all-dbg, libcurl4-gnutls-dev (>= 7.19.0), librtmp-dev, python-nose, python-cherrypy3, python3-all-dev, python-all-dbg, python3-all-dbg
+Standards-Version: 3.9.5
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.2
 Homepage: http://pycurl.sourceforge.net
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/pycurl/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pycurl/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pycurl/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pycurl/trunk/
 
 Package: python-pycurl
 Architecture: any
@@ -30,3 +32,26 @@
  the libcurl documentation available in libcurl4-gnutls-dev Debian package.
  .
  This package contains the extension built for the Python debug interpreter.
+
+Package: python3-pycurl
+Architecture: any
+Suggests: libcurl4-gnutls-dev, python3-pycurl-dbg
+Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
+Provides: ${python3:Provides}
+Description: Python 3 bindings to libcurl
+ This module provides the Python 3 bindings to libcurl. Please refer to
+ the libcurl documentation available in libcurl4-gnutls-dev Debian package.
+ .
+ NOTE: the SSL support is provided by GnuTLS.
+
+Package: python3-pycurl-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${shlibs:Depends}, ${python3:Depends}, python3-dbg, python3-pycurl (= ${binary:Version}), ${misc:Depends}
+Provides: ${python3:Provides}
+Description: Python 3 bindings to libcurl (debug extension)
+ This module provides the Python 3 bindings to libcurl. Please refer to
+ the libcurl documentation available in libcurl4-gnutls-dev Debian package.
+ .
+ This package contains the extension built for the Python 3 debug interpreter.
