=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PYVERS := $(shell pyversions -rv)
PY3VERS := $(shell py3versions -rv)
CURLVERS := $(strip $(shell /usr/bin/curl-config --version | awk '{print $$2}'))

unexport LDFLAGS
export FFLAGS="-fPIC"

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -e ;\
	for py in $(PYVERS) $(PY3VERS) ; do \
		python$$py setup.py build ; \
		python$$py-dbg setup.py build ; \
	done

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	-set -e ;\
	for py in $(PYVERS) $(PY3VERS) ; do \
		PYTHONPATH=`ls -d $(CURDIR)/build/lib.*-*-$$py` nosetests --verbose ; \
	done
endif

#clean:
#	dh_testdir
#	dh_testroot
#	rm -f build-*
#
#	for py in $(PYVERS); do \
#	    python$$py setup.py clean; \
#	    python$$py-dbg setup.py clean; \
#	done
#
#	rm -rf build
#	-find -name '*.py[co]' | xargs rm -f
#	dh_clean

override_dh_auto_install:
	for py in $(PYVERS); do \
  	    python$$py setup.py install --root=$(CURDIR)/debian/python-pycurl --install-layout=deb; \
 	    python$$py-dbg setup.py install --root=$(CURDIR)/debian/python-pycurl-dbg --install-layout=deb; \
	done
	for py in $(PY3VERS); do \
	    python$$py setup.py install --root=$(CURDIR)/debian/python3-pycurl --install-layout=deb; \
	    python$$py-dbg setup.py install --root=$(CURDIR)/debian/python3-pycurl-dbg --install-layout=deb; \
	done

	# Remove documentation as installed by setup.py
	rm -rf $(CURDIR)/debian/python*-pycurl*/usr/share/doc/pycurl

	rm -rf $(CURDIR)/debian/python-pycurl-dbg/usr/lib/python*/*-packages/curl
	rm -f $(CURDIR)/debian/python-pycurl-dbg/usr/lib/python*/*-packages/pycurl-*.egg-info
	rm -rf $(CURDIR)/debian/python3-pycurl-dbg/usr/lib/python*/*-packages/curl
	rm -f $(CURDIR)/debian/python3-pycurl-dbg/usr/lib/python*/*-packages/pycurl-*.egg-info

	rm -rf debian/python-pycurl-dbg/usr/share/doc/python-pycurl-dbg
	dh_link -ppython-pycurl-dbg usr/share/doc/python-pycurl usr/share/doc/python-pycurl-dbg
	rm -rf debian/python3-pycurl-dbg/usr/share/doc/python3-pycurl-dbg
	dh_link -ppython3-pycurl-dbg usr/share/doc/python3-pycurl usr/share/doc/python3-pycurl-dbg

override_dh_installdocs:
	cp -a doc/*.html debian/python-pycurl/usr/share/doc/python-pycurl/html
	mkdir -p debian/python3-pycurl/usr/share/doc/python3-pycurl/html
	cp -a doc/*.html debian/python3-pycurl/usr/share/doc/python3-pycurl/html
	dh_installdocs -ppython-pycurl README.rst
	dh_installdocs -ppython3-pycurl README.rst

override_dh_installexamples:
	dh_installexamples -ppython-pycurl examples/*
	dh_installexamples -ppython3-pycurl examples/*

override_dh_installchangelogs:
	dh_installchangelogs -ppython-pycurl ChangeLog
	dh_installchangelogs -ppython3-pycurl ChangeLog

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pycurl --dbg-package=python-pycurl-dbg
	dh_strip -ppython3-pycurl --dbg-package=python3-pycurl-dbg
endif

override_dh_compress:
	dh_compress -X.py

override_dh_shlibdeps:
	dh_shlibdeps -a
	sed -i '/shlibs:Depends/s,\(libcurl[0-9]*-gnutls (>= \)[^)]*\().*\),\1$(CURLVERS)\2,' debian/python-pycurl*.substvars
