=== debian/watch ===
version=2
http://pycurl.sourceforge.net/download/pycurl-([\d\.]*).tar.gz
