=== debian/changelog ===
pycurl (7.19.5-3) unstable; urgency=medium

  * d/watch: Updated download URL to point to PyPI.
  * d/patches/0003-upstream-issue-210.patch: Added a proposed fix for
    upstream issue #210.

 -- Barry Warsaw <barry@debian.org>  Tue, 14 Oct 2014 16:56:10 -0400

pycurl (7.19.5-2) unstable; urgency=medium

  * d/control: Update the Vcs-* headers for the move to git-dpm.

 -- Barry Warsaw <barry@debian.org>  Wed, 01 Oct 2014 19:42:50 -0400

pycurl (7.19.5-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Tosi ]
  * debian/control
    - fix short description (adding py3k tag to the right package); thanks to
      bodrato for the report; Closes: #739712

  [ Andreas Metzler ]
  * debian/control
    - Drop build-depency on librtmp-dev, as it is not in "curl-config
      --static-libs", otoh add one for libgnutls28-dev, since pycurl.c 
      #includes <gnutls/gnutls.h>. Closes: #751059
      (Applied from NMU diff by Barry Warsaw.  Closes: #756199)

  [ Barry Warsaw ]
  * New upstream release.
  * Place myself as Maintainer with previous maintainer's approval.
  * debian/control, debian/rules:
    - Back ported Ubuntu change to split the docs into a separate
      python-pycurl-doc package.  This breaks the dependency of python3-curl
      on python-curl.  Given by Matthias Klose.  Closes: #757694
  * debian/control:
    - Add Suggests on python-curl-doc.
    - Update long descriptions.
    - wrap-and-sort
  * debian/rules:
    - Added --with sphinxdoc.
    - In override_dh_auto_build, call `make gen` since the upstream
      tarball does not seem to contain the generated src/docstrings.{h,c}
      files.
    - Updated override_dh_installdocs for the upstream moved docs directory.
  * debian/copyright: Added short license description to LGPL part to quiet
    lintian warning empty-short-license-in-dep5-copyright.
  * debian/python-pycurl-doc.doc-base: Renamed from python-pycurl.doc-base
    and fixed links.
  * debian/python-pycurl.dirs: Removed.
  * debian/patches/20_build_doc_for_debian.patch: Updated and refreshed.

 -- Barry Warsaw <barry@debian.org>  Tue, 30 Sep 2014 17:38:05 -0400

pycurl (7.19.3.1-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * Removing myself from uploaders. 

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - switch me to Maintainer (team to Uploaders)
  * debian/copyright
    - used DEP-5 format
    - updated upstream & packaging copyright information
  * debian/patches/10_setup.py.patch
    - refreshed
  * Build and install doc from ReST files
  * debian/rules
    - use dh_installdocs to link doc dirs to main package
  * Build Python 3 packages

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Feb 2014 16:57:18 +0100

pycurl (7.19.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - updated MIT copyright holders
    - added new file license information
  * debian/patches/10_setup.py.patch
    - refreshed to new upstream code
  * debian/{control, rules}
    - build and install documentation

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jan 2014 22:06:19 +0100
