## pycurl 7.19.5.1

=== debian/changelog ===
pycurl (7.19.5.1-1ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 21:12:58 +0000

pycurl (7.19.5.1-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove build dependency on python-bottle (universe).
    - Drop libssh2-1-dev from Build-Depends, as it is not in main, and is
      not needed since in Ubuntu, curl-config --static-libs doesn't return
      -lssh2.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 11 May 2015 15:50:26 -0400

pycurl (7.19.5.1-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: Use pypi.debian.net mirror.
  * d/control: Bump Standards-Version to 3.9.6

 -- Barry Warsaw <barry@debian.org>  Mon, 27 Apr 2015 16:57:54 -0400

pycurl (7.19.5-3ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove build dependency on python-bottle (universe).
    - Drop libssh2-1-dev from Build-Depends, as it is not in main, and is
      not needed since in Ubuntu, curl-config --static-libs doesn't return
      -lssh2.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 14 Oct 2014 17:46:13 -0400

pycurl (7.19.5-2ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove build dependency on python-bottle (universe).
    - Drop libssh2-1-dev from Build-Depends, as it is not in main, and is
      not needed since in Ubuntu, curl-config --static-libs doesn't return
      -lssh2.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 06 Oct 2014 13:25:09 -0400
