=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: pycurl
 Section: python
 Priority: optional
-Maintainer: Barry Warsaw <barry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barry Warsaw <barry@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
                dh-python,
                libcurl4-gnutls-dev (>= 7.19.0),
                libgnutls28-dev,
-               libssh2-1-dev,
                python-all-dbg,
                python-all-dev (>= 2.6.6-3~),
-               python-bottle,
                python-docutils,
                python-nose,
                python-sphinx,
                python3-all-dbg,
                python3-all-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: all
 X-Python3-Version: >= 3.3
 Homepage: http://pycurl.sourceforge.net
